body{
    /*configurações de pagina*/
    background-color: #8389ff;
    justify-content: center;
    margin: 0 auto;
}

h1{
    /*configurações de titulo*/
    text-align: center;
    font-size: 24px;
    font-family: 'Jazz LET';
    color: rgb(88, 88, 88);
}

h2{
    /*configurações de subtitulo*/
    text-align: center;
    font-size: 22px;
    font-style: italic;
    font-family: 'Jazz LET';
    color: #FCC302;

    -webkit-text-stroke-width: 0.02em; /* largura da borda */
    -webkit-text-stroke-color: rgb(128, 98, 0); /* cor da borda */
}

h3{
    /*configurações de texto amarelo orientado na direita*/
    text-align: right;
    font-family: Times, "Times New Roman", serif;
    font-size: 18px;
    font-style: normal;
    font-weight: normal;
    color: #FCC302;
}

h4{
    /*configurações de contúdo centralizado*/
    text-align: center;
    font-family: Times, "Times New Roman", serif;
    font-size: 16px;
    font-style: normal;
    font-weight: normal;
}

h5{
    /*configurações de texto amarelo centralizado*/
    text-align: center;
    font-family: Times, "Times New Roman", serif;
    font-size: 20px;
    font-style: normal;
    font-weight: normal;
    font-style: italic;
    color: #FCC302;
}

.h6_1{
    /*configurações de texto normal justificado*/
    text-align: justify;
    font-family: Times, "Times New Roman", serif;
    font-size: 20px;
    font-style: normal;
    font-weight: normal;
    font-style: italic;
    line-height: normal;
    color: rgb(88, 88, 88);

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 50ch;
}

input:focus, textarea:focus {
    /*dar destaque nos elementos ativos*/
    border-color: #000;
}

form {
    /*centralizar o form na página*/
    margin: 0 auto;
    margin-bottom: 15px;
    max-width: 400px;
    /*bordas do formulário*/
    padding: 1em;
    border: 2px solid #CCC;
    border-color: rgb(88, 88, 88);
    border-radius: 1em;
}

form div + div {
    margin-top: 1em;
}

.div_container {
    display: flex;
}

.div_container > div {
    flex: 1;
}

label {
    /*alinhamento e tamanho das labels*/
    display: inline-block;
    width: 120px;
    text-align: right;
}

input, textarea {
    /*configurações de fonte e background*/
    font-family: Times, "Times New Roman", serif;
    font-style: initial;
    font-size: 16px;
    background-color: #FCC352;

    /*dar o mesmo tamanho a todos os campo de texto*/
    width: 250px;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    /*harmonizar bordas nos campos de texto*/
    border: 2px solid rgb(88, 88, 88);
}

textarea {
    /*alinhar os campos de texto de várias linhas*/
    vertical-align: top;
    /*espaço suficiente para digitar algum texto */
    width: 250px;
    height: 2.5em;
    /*permitir redimensionamento em textarea verticalmente*/
    resize: vertical;
}

input[type=number]{
    width: 80px;
}

input[type=date]{
    width: 130px;
    color:rgb(88, 88, 88);  
}

.spinner-button {
    position: absolute;
    cursor: default;
    z-index: 2;
    background-color: #ccc;
    width: 14.5px;
    text-align: center;
    margin: 0px;
    pointer-events: none;
    height: 10px;
    line-height: 10px;
}

.button {
    /*posicionar os botões para a mesma posição dos campos de texto */
    padding-left: 90px; /* mesmo tamanho do tipo label */
}
button {
    /*margem extra*/
    margin-left: .3em;
    margin-right: .3em;
    margin-top: .3em;
    margin-bottom: .3em;

    /*fonte e background*/
    background-color: #FCC302;
    height: 32px;
    font-size: 18px;
    font-family: 'Jazz LET';
    font-style: initial;
}

.botao_estilo {
	-moz-box-shadow:inset 0px 1px 0px 0px #fed897;
	-webkit-box-shadow:inset 0px 1px 0px 0px #fed897;
	box-shadow:inset 0px 1px 0px 0px #fed897;
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #f6b33d), color-stop(1, #d29105) );
	background:-moz-linear-gradient( center top, #f6b33d 5%, #d29105 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#f6b33d', endColorstr='#d29105');
	background-color:#f6b33d;
	-webkit-border-top-left-radius:20px;
	-moz-border-radius-topleft:20px;
	border-top-left-radius:20px;
	-webkit-border-top-right-radius:20px;
	-moz-border-radius-topright:20px;
	border-top-right-radius:20px;
	-webkit-border-bottom-right-radius:20px;
	-moz-border-radius-bottomright:20px;
	border-bottom-right-radius:20px;
	-webkit-border-bottom-left-radius:20px;
	-moz-border-radius-bottomleft:20px;
	border-bottom-left-radius:20px;
	text-indent:0;
	border:1px solid #eda933;
	display:inline-block;
	color:#ffffff;
	font-family:Georgia;
	font-size:15px;
	font-weight:bold;
	font-style:italic;
    height:32px;
    min-width:120px;
	text-decoration:none;
	text-align:center;
	text-shadow:1px 0px 0px #cd8a15;
}
.botao_estilo:hover {
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #d29105), color-stop(1, #f6b33d) );
	background:-moz-linear-gradient( center top, #d29105 5%, #f6b33d 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#d29105', endColorstr='#f6b33d');
	background-color:#d29105;
}.botao_estilo:active {
	position:relative;
	top:1px;
}

.botao_estilo_voltar {
	-moz-box-shadow:inset 0px 1px 0px 0px #f9eca0;
	-webkit-box-shadow:inset 0px 1px 0px 0px #f9eca0;
	box-shadow:inset 0px 1px 0px 0px #f9eca0;
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #f0c911), color-stop(1, #f2ab1e) );
	background:-moz-linear-gradient( center top, #f0c911 5%, #f2ab1e 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#f0c911', endColorstr='#f2ab1e');
	background-color:#f0c911;
	-webkit-border-top-left-radius:0px;
	-moz-border-radius-topleft:0px;
	border-top-left-radius:0px;
	-webkit-border-top-right-radius:0px;
	-moz-border-radius-topright:0px;
	border-top-right-radius:0px;
	-webkit-border-bottom-right-radius:0px;
	-moz-border-radius-bottomright:0px;
	border-bottom-right-radius:0px;
	-webkit-border-bottom-left-radius:0px;
	-moz-border-radius-bottomleft:0px;
	border-bottom-left-radius:0px;
	text-indent:0;
	border:1px solid #e65f44;
	display:inline-block;
	color:#c92200;
	font-family:Georgia;
	font-size:15px;
	font-weight:bold;
	font-style:italic;
	height:40px;
	min-width:100px;
	text-decoration:none;
	text-align:center;
	text-shadow:1px 0px 0px #ded17c;
}
.botao_estilo_voltar:hover {
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #f2ab1e), color-stop(1, #f0c911) );
	background:-moz-linear-gradient( center top, #f2ab1e 5%, #f0c911 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#f2ab1e', endColorstr='#f0c911');
	background-color:#f2ab1e;
}.botao_estilo_voltar:active {
	position:relative;
	top:1px;
}

[data-tooltip] {
    position: relative;
    font-weight: bold;
  }
  
  [data-tooltip]:after {
    display: none;
    position: absolute;
    top: -5px;
    padding: 5px;
    border-radius: 3px;
    left: calc(100% + 2px);
    content: attr(data-tooltip);
    white-space: nowrap;
    background-color: #0095ff;
    color: White;
  }
  
  [data-tooltip]:hover:after {
    display: block;
  }